/*
Java version of Brill's Part-of-Speech Tagger
Copyright (C) 2003-2004, Jimmy Lin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, please visit 
http://www.gnu.org/copyleft/gpl.html

*/
package edu.mit.csail.brill;

/**
 * The raw JNI wrapper around Eric Brill's part-of-speech tagger. It provides
 * base functionality for tagging English sentences, but contains no additional
 * functionality for interpreting and accessing results. BTagger is generally
 * not used in favor of {@link BrillTagger}, which provides a much more
 * complete API.
 * 
 * @author Jimmy Lin
 */

public class BTagger {
	/**
	 * Initializes the tagger with current parameters.
	 */
	public native void setup();

	/**
	 * Destroys the tagger.
	 */
	public native void destroy();

	/**
	 * Part-of-speech tags a sentence.
	 */
	public native String tag(String sentence);
}